linux: 2.6.38-13.54 -proposed tracker

Bug #911195 reported by Herton R. Krzesinski on 2012-01-03
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-13.54 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 03. January 2012 12:00 UTC
kernel-stable-Prepare-package-end:Wednesday, 04. January 2012 11:33 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 04. January 2012 11:33 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 04. January 2012 13:00 UTC
kernel-stable-Verification-testing-start:Wednesday, 04. January 2012 13:00 UTC
kernel-stable-Verification-testing-end:Tuesday, 10. January 2012 15:31 UTC
kernel-stable-Certification-testing-start:Tuesday, 10. January 2012 15:31 UTC
kernel-stable-Security-signoff-start:Tuesday, 10. January 2012 15:31 UTC
kernel-stable-Regression-testing-start:Tuesday, 10. January 2012 15:31 UTC
kernel-stable-Security-signoff-end:Tuesday, 10. January 2012 18:31 UTC
kernel-stable-Regression-testing-end:Tuesday, 17. January 2012 22:45 UTC
kernel-stable-Promote-to-updates-start:Friday, 20. January 2012 20:00 UTC
kernel-stable-Certification-testing-end:Friday, 20. January 2012 20:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 24. January 2012 05:45 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 24. January 2012 05:45 UTC

CVE References

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 911708

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-natty (lucid) - bug 911710

description: updated
Martin Pitt (pitti) on 2012-01-04
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-01-04
description: updated
Herton R. Krzesinski (herton) wrote :

All SRUs verified for this update, verification-testing completed.

Brad Figg (brad-figg) on 2012-01-10
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-01-10
description: updated

Hardware Certification have begun testing this -proposed kernel.

C de-Avillez (hggdh2) wrote :

No regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-01-17
description: updated

Hardware Certification have completed testing of this -proposed kernel on a selection of 53 systems from our labs. No regressions were detected - results can be found at: http://people.canonical.com/~hwcert/sru-testing/wk2_2012/natty-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-01-20
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-13.54

---------------
linux (2.6.38-13.54) natty-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #911195

  [ Alex Bligh ]

  * (config) Change Xen paravirt drivers to be built-in
    - LP: #886521

  [ Paolo Pisati ]

  * [Config] DEFAULT_MMAP_MIN_ADDR=32k on arm
    - LP: #903346

  [ Seth Forshee ]

  * SAUCE: dell-wmi: Demote unknown WMI event message to pr_debug
    - LP: #581312

  [ Upstream Kernel Changes ]

  * VFS: Fix vfsmount overput on simultaneous automount
    - LP: #769927
  * TPM: Zero buffer after copying to userspace, CVE-2011-1162
    - LP: #899463
    - CVE-2011-1162
  * hfs: fix hfs_find_init() sb->ext_tree NULL ptr oops, CVE-2011-2203
    - LP: #899466
    - CVE-2011-2203
  * KEYS: Fix a NULL pointer deref in the user-defined key type,
    CVE-2011-4110
    - LP: #894369
    - CVE-2011-4110
  * nfsd4: permit read opens of executable-only files
    - LP: #833300
  * Support for Terratec G1
    - LP: #821061
 -- Herton Ronaldo Krzesinski <email address hidden> Tue, 03 Jan 2012 10:03:15 -0200

Changed in linux (Ubuntu Natty):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers